using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("AT_plz"), PrimaryKey("Plz")]
    public class AT_Plz {
        [Column("plz")]
        public int Plz { get; private set; }

        [Column("ort")]
        public string Ort { get; private set; } = null!;

        [Column("blnr")]
        public int BlNr { get; private set; }

        [Column("type")]
        public string Type { get; private set; } = null!;

        [Column("internal")]
        public bool IsInternal { get; private set; }

        [Column("addressable")]
        public bool IsAddressable { get; private set; }

        [Column("po_box")]
        public bool IsPoBox { get; private set; }

        [InverseProperty(nameof(AT_PlzDest.AtPlz))]
        public virtual ICollection<AT_PlzDest> Orte { get; private set; } = null!;
    }
}
